With upcoming changes to data protection and privacy laws in Europe coming into effect soon, we thought this would be a good time to remind everyone that we do have a privacy policy.
This applies to all users and visitors world-wide.

We have made a few changes to the language to make it clearer in relation to this new regulation but fundamentally, the terms and your rights are unchanged.

If you have any questions about this, please feel free to ask in the General Forum

How to integrate new version of x264 encoder?

Support for HandBrake on Linux, Solaris, and other Unix-like platforms
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
Locked
treki
Posts: 17
Joined: Sat May 04, 2013 8:12 am

How to integrate new version of x264 encoder?

Post by treki » Sat Apr 28, 2018 6:58 pm

Description of problem or question:

I have compiled the newest version of x264. x264 --version says:
x264 0.152.x
built on Apr 28 2018, gcc: 5.4.0 20160609
But MediaInfo from a encoded movie still says: Writing library : x264 core 148 r2643 5c65704


How i can integrate the new x264 core into Handbrake?


HandBrake version (e.g., 1.0.0):

1.1.0


Operating system and version (e.g., Ubuntu 16.04 LTS, macOS 10.13 High Sierra, Windows 10 Creators Update):

Linux Mint 18.3 mate 64bit

Woodstock
Veteran User
Posts: 2533
Joined: Tue Aug 27, 2013 6:39 am

Re: How to integrate new version of x264 encoder?

Post by Woodstock » Sat Apr 28, 2018 8:05 pm

handbrake does not call x264's EXE file. You would have to build handbrake with the new library, including all of the patches that are done to make it work.

treki
Posts: 17
Joined: Sat May 04, 2013 8:12 am

Re: How to integrate new version of x264 encoder?

Post by treki » Sat Apr 28, 2018 8:18 pm

How i rebuild Handbrake?
Do you have a link to a tutorial?

Edit: Ok, i have found a tutorial.
Txh
Last edited by treki on Sat Apr 28, 2018 8:39 pm, edited 1 time in total.

User avatar
s55
HandBrake Team
Posts: 9072
Joined: Sun Dec 24, 2006 1:05 pm

Re: How to integrate new version of x264 encoder?

Post by s55 » Sat Apr 28, 2018 8:32 pm

There is no tutorial for upgrading x264. It's deliberately locked to specific versions which are known to work and be stable.

We periodically upgrade it. Running the nightly builds is your best option as you'll get updates much quicker. Right now though, we are still on a slightly older revision.

There isn't anything major worth upgrading for.

treki
Posts: 17
Joined: Sat May 04, 2013 8:12 am

Re: How to integrate new version of x264 encoder?

Post by treki » Sat Apr 28, 2018 10:07 pm

Unfortunately is in the nightly build (Linux) r2643 :(
In the Windows version is r2893.
I must have a new version.

rollin_eng
Veteran User
Posts: 2733
Joined: Wed May 04, 2011 11:06 pm

Re: How to integrate new version of x264 encoder?

Post by rollin_eng » Sun Apr 29, 2018 8:31 am

treki wrote:
Sat Apr 28, 2018 10:07 pm
I must have a new version.
Is there a reason such as a bug?

treki
Posts: 17
Joined: Sat May 04, 2013 8:12 am

Re: How to integrate new version of x264 encoder?

Post by treki » Sun Apr 29, 2018 1:26 pm

Lol. That is a wish :D
Is there a solution to integrate in the Linux version r2893?
Creating a build myself does not work for me.
Which library do I have to replace before I compile?

.....sorry, my english is terrible.

User avatar
s55
HandBrake Team
Posts: 9072
Joined: Sun Dec 24, 2006 1:05 pm

Re: How to integrate new version of x264 encoder?

Post by s55 » Sun Apr 29, 2018 1:28 pm

Sorry, your asking for something that's not supported and asking volunteers to give up their free time helping you with no reasonable justification.

You're on your own with this one I'm afraid.

If you can define a good reason to upgrade, we'll put it on our lists to upgrade sooner. Otherwise it'll happen next time we get a chance.

Woodstock
Veteran User
Posts: 2533
Joined: Tue Aug 27, 2013 6:39 am

Re: How to integrate new version of x264 encoder?

Post by Woodstock » Sun Apr 29, 2018 3:04 pm

treki, you still have not said why you must have the particular version of x264.

treki
Posts: 17
Joined: Sat May 04, 2013 8:12 am

Re: How to integrate new version of x264 encoder?

Post by treki » Sat Jun 09, 2018 9:31 am

Sorry. I can not say.
On I3 it works with newest libs perfectly.
On the 2nd not. (Ryzen7 1800x 32gb ram)
And Linux Mint 19 mate beta have a prob with compiling (automake)

User avatar
JohnAStebbins
HandBrake Team
Posts: 5114
Joined: Sat Feb 09, 2008 7:21 pm

Re: How to integrate new version of x264 encoder?

Post by JohnAStebbins » Mon Jun 11, 2018 4:05 pm

On linux platforms (with the exception of flatpak builds) HandBrake gets libx264 from your system libs (i.e. we do not build it). If Mint 19 doesn't have the version of libx264 that you want in it's repository, you'll have to figure out how to build and install it yourself.

Locked